### Hierarchy

- ExecuteProcessService

### Implements

- IExecuteProcessService

## Index

### Constructors

- constructor

### Properties

- datastoreService
- flowNodeHandlerFactory
- messageBusService

### Methods

- createProcessToken
- end
- executeFlowNode
- getStartEventDef
- start

## Constructors

### constructor

- new ExecuteProcessService(flowNodeHandlerFactory: IFlowNodeHandlerFactory, datastoreService: IDatastoreService, messageBusService: IMessageBusService): ExecuteProcessService

- - Defined in execution/execute_process_service.ts:13

  #### Parameters

  - ##### flowNodeHandlerFactory: IFlowNodeHandlerFactory

  - ##### datastoreService: IDatastoreService

  - ##### messageBusService: IMessageBusService

  #### Returns ExecuteProcessService

## Properties

### Private datastoreService

datastoreService: IDatastoreService = undefined

- Defined in execution/execute_process_service.ts:12

### Private flowNodeHandlerFactory

flowNodeHandlerFactory: IFlowNodeHandlerFactory = undefined

- Defined in execution/execute_process_service.ts:11

### Private messageBusService

messageBusService: IMessageBusService

- Defined in execution/execute_process_service.ts:13

## Methods

### Private createProcessToken

- createProcessToken(context: ExecutionContext): Promise<IProcessTokenEntity>

- - Defined in execution/execute_process_service.ts:60

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<IProcessTokenEntity>

### Private end

- end(processInstance: IProcessEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<void>

- - Defined in execution/execute_process_service.ts:50

  #### Parameters

  - ##### processInstance: IProcessEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<void>

### Private executeFlowNode

- executeFlowNode(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<void>

- - Defined in execution/execute_process_service.ts:40

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<void>

### Private getStartEventDef

- getStartEventDef(context: ExecutionContext, processDefinition: IProcessDefEntity): Promise<INodeDefEntity>

- - Defined in execution/execute_process_service.ts:31

  #### Parameters

  - ##### context: ExecutionContext

  - ##### processDefinition: IProcessDefEntity

  #### Returns Promise<INodeDefEntity>

### start

- start(context: ExecutionContext, processDefinition: IProcessDefEntity, processInstance: IProcessEntity): Promise<void>

- Implementation of IExecuteProcessService.start

  - Defined in execution/execute_process_service.ts:21

  #### Parameters

  - ##### context: ExecutionContext

  - ##### processDefinition: IProcessDefEntity

  - ##### processInstance: IProcessEntity

  #### Returns Promise<void>

Generated using TypeDoc